## golang-github-caarlos0-env 6.0.0

=== Makefile ===
SOURCE_FILES?=./...
TEST_PATTERN?=.

export GO111MODULE := on

setup:
	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh
	go mod download
.PHONY: setup

build:
	go build
.PHONY: build

test:
	go test -v -failfast -race -coverpkg=./... -covermode=atomic -coverprofile=coverage.txt $(SOURCE_FILES) -run $(TEST_PATTERN) -timeout=2m
.PHONY: test

cover: test
	go tool cover -html=coverage.txt
.PHONY: cover

fmt:
	find . -name '*.go' -not -wholename './vendor/*' | while read -r file; do gofmt -w -s "$$file"; goimports -w "$$file"; done
.PHONY: fmt

lint:
	./bin/golangci-lint run --tests=false --enable-all --disable=lll ./...
.PHONY: lint

ci: build test lint
.PHONY: ci

card:
	wget -O card.png -c "https://og.caarlos0.dev/**env**: parse envs to structs.png?theme=light&md=1&fontSize=100px&images=https://github.com/caarlos0.png"
.PHONY: card

.DEFAULT_GOAL := ci

=== debian/changelog ===
golang-github-caarlos0-env (6.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #932153)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 15 Jul 2019 11:12:41 +0900

=== debian/control ===
Source: golang-github-caarlos0-env
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.2.1
Homepage: https://github.com/caarlos0/env
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-caarlos0-env
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-caarlos0-env.git
XS-Go-Import-Path: github.com/caarlos0/env
Testsuite: autopkgtest-pkg-go

Package: golang-github-caarlos0-env-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-stretchr-testify-dev
Description: Go library for parse environment variables to structs
 This is a Simple Golang library to parse environment variables to structs.
 Out of the box all built-in types are supported, plus a few others that are
 commonly used. Supports the following type:
 .
  - string
  - bool
  - int
  - int8
  - int16
  - int32
  - int64
  - uint
  - uint8
  - uint16
  - uint32
  - uint64
  - float32
  - float64
  - string
  - time.Duration
  - encoding.TextUnmarshaler
  - url.URL

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-caarlos0-env-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/caarlos0/env/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-caarlos0-env 6.4.0

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 .PHONY: fmt
 
 lint:
-	./bin/golangci-lint run --tests=false --enable-all --disable=lll ./...
+	./bin/golangci-lint run ./...
 .PHONY: lint
 
 ci: build test lint

=== debian/changelog ===
golang-github-caarlos0-env (6.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/p/fix-escape-issue-in-tests.patch: add patch fixing test failures.
  * Bump debhelper compatibility level to 13.
  * Declare compliance with Debian Policy 4.5.1.
  * d/control: rules does not require root.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 25 Jan 2021 16:14:34 -0300

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/caarlos0/env
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-caarlos0-env
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-caarlos0-env.git
 XS-Go-Import-Path: github.com/caarlos0/env
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-github-caarlos0-env-dev
 Architecture: all

## golang-github-caarlos0-env 6.7.1

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,7 @@
 export GO111MODULE := on
 
 setup:
-	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh
-	go mod download
+	go mod tidy
 .PHONY: setup
 
 build:
@@ -28,7 +27,7 @@
 	./bin/golangci-lint run ./...
 .PHONY: lint
 
-ci: build test lint
+ci: build test
 .PHONY: ci
 
 card:

=== debian/changelog ===
golang-github-caarlos0-env (6.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/control
    - Change Section from devel to golang.
    - Mark library package with "Multi-Arch: foreign".
    - Add golang-github-matryer-is-dev to B-D.
  * Update debian/gbp.conf
    - Set debian-branch to debian/sid for DEP-14 conformance.
  * Update d/patches
    - Drop merged patch.
  * Update d/copyright
    - Remove Files-Excluded.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 19 Sep 2021 15:26:55 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: golang-github-caarlos0-env
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-stretchr-testify-dev
+               golang-github-stretchr-testify-dev,
+	       golang-github-matryer-is-dev
 Standards-Version: 4.5.1
 Homepage: https://github.com/caarlos0/env
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-caarlos0-env
@@ -17,6 +18,7 @@
 
 Package: golang-github-caarlos0-env-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          golang-github-stretchr-testify-dev
 Description: Go library for parse environment variables to structs

## golang-github-caarlos0-env 11.3.1

=== Makefile ===
--- 
+++ 
@@ -20,11 +20,11 @@
 .PHONY: cover
 
 fmt:
-	find . -name '*.go' -not -wholename './vendor/*' | while read -r file; do gofmt -w -s "$$file"; goimports -w "$$file"; done
+	gofumpt -w -l .
 .PHONY: fmt
 
 lint:
-	./bin/golangci-lint run ./...
+	golangci-lint run ./...
 .PHONY: lint
 
 ci: build test

=== debian/changelog ===
golang-github-caarlos0-env (11.3.1-2) unstable; urgency=medium

  * Fix Go test failure due to missing time zone file (Closes: #1091811)

 -- Otto Kekäläinen <otto@debian.org>  Wed, 29 Jan 2025 14:23:57 -0800

golang-github-caarlos0-env (11.3.1-1) unstable; urgency=medium

  * New upstream version 11.3.1
  * Apply `wrap-and-sort -vast` and add myself as co-uploader
  * Modernize Debian packaging for easier maintenance
  * Update buildtime and runtime dependencies to match latest version

 -- Otto Kekäläinen <otto@debian.org>  Sat, 21 Dec 2024 15:54:14 -0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-golang,
-               golang-any,
-               golang-github-stretchr-testify-dev,
-	       golang-github-matryer-is-dev
+Uploaders:
+ Nobuhiro Iwamatsu <iwamatsu@debian.org>,
+ Otto Kekäläinen <otto@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-golang,
+ golang-any,
+ tzdata <!nocheck>,
 Standards-Version: 4.5.1
 Homepage: https://github.com/caarlos0/env
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-caarlos0-env
@@ -19,8 +21,8 @@
 Package: golang-github-caarlos0-env-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         golang-github-stretchr-testify-dev
+Depends:
+ ${misc:Depends},
 Description: Go library for parse environment variables to structs
  This is a Simple Golang library to parse environment variables to structs.
  Out of the box all built-in types are supported, plus a few others that are

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/caarlos0/env/tags .*/v?(\d\S*)\.tar\.gz debian
